# Installation
> `npm install --save @types/react-native-check-box`

# Summary
This package contains type definitions for react-native-check-box (https://github.com/crazycodeboy/react-native-check-box#readme).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-native-check-box.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-native-check-box/index.d.ts)
````ts
import * as React from "react";
import { StyleProp, TextStyle, ViewStyle } from "react-native";

export interface CheckBoxProps {
    style?: StyleProp<ViewStyle> | undefined;
    leftText?: string | undefined;
    leftTextStyle?: StyleProp<TextStyle> | undefined;
    leftTextView?: React.ReactNode | undefined;
    rightText?: string | undefined;
    rightTextStyle?: StyleProp<TextStyle> | undefined;
    rightTextView?: React.ReactNode | undefined;
    checkedImage?: React.ReactElement | undefined;
    unCheckedImage?: React.ReactElement | undefined;
    isChecked: boolean;
    onClick: () => void;
    disabled?: boolean | undefined;
    checkBoxColor?: string | undefined;
    checkedCheckBoxColor?: string | undefined;
    uncheckedCheckBoxColor?: string | undefined;
}

declare class CheckBox extends React.Component<CheckBoxProps> {}

export default CheckBox;

````

### Additional Details
 * Last updated: Thu, 21 Dec 2023 19:06:51 GMT
 * Dependencies: [@types/react](https://npmjs.com/package/@types/react), [react-native](https://npmjs.com/package/react-native)

# Credits
These definitions were written by [Rodolphe Lemasquerier](https://github.com/rlemasquerier).
